List phone numbers
curl --request GET \
--url https://api.helloannie.com/v1/phone-numbersimport requests
url = "https://api.helloannie.com/v1/phone-numbers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.helloannie.com/v1/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"phoneNumbers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"name": "<string>",
"outbound": true,
"verifiedCallerId": "<string>",
"callbackForwardingNumber": "<string>",
"speed": 123,
"stability": 123,
"similarity": 123,
"style": 123
}
]
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Phone Numbers
List phone numbers
Returns phone numbers accessible to the authenticated principal. For OAuth tokens, returns phone numbers for the parent organization and all child organizations. For API keys, returns only the authenticated organization’s phone numbers. Use the orgId query parameter to filter results to a specific organization.
GET
/
phone-numbers
List phone numbers
⌘I